Bug 1118807 - Bridge Created in NetworkConnections Broken by Poweroff
Summary: Bridge Created in NetworkConnections Broken by Poweroff
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 14:50 UTC by Lavie
Modified: 2015-06-29 21:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:33:27 UTC


Attachments (Terms of Use)
Output of Journalctl after the poweroff/poweron (3.46 MB, text/plain)
2014-07-28 20:12 UTC, Lavie
no flags Details
Output of $nmcli con show immediately after creating bridge (324 bytes, text/plain)
2014-07-28 20:16 UTC, Lavie
no flags Details
Output of $nmcli con show for the Master immediately after creating bridge (1.94 KB, text/plain)
2014-07-28 20:18 UTC, Lavie
no flags Details
IGNORE THIS ATTACHMENT - MISTAKENLY UPLOADED (1.12 KB, text/plain)
2014-07-28 20:19 UTC, Lavie
no flags Details
Output of $nmcli con show for the Slave immediately after creating bridge (1.12 KB, text/plain)
2014-07-28 20:28 UTC, Lavie
no flags Details
Output of $nmcli con show after adding the bridge to the list of Network Interfaces in Virtual Manager (324 bytes, text/plain)
2014-07-28 20:31 UTC, Lavie
no flags Details
Output of $nmcli con show for the Master after adding the bridge to the list of Network Interfaces in Virtual Manager (1.94 KB, text/plain)
2014-07-28 20:34 UTC, Lavie
no flags Details
Output of $nmcli con show for the Slave after adding the bridge to the list of Network Interfaces in Virtual Manager (1.12 KB, text/plain)
2014-07-28 20:36 UTC, Lavie
no flags Details
Output of $nmcli con show after poweroff/poweron (312 bytes, text/plain)
2014-07-28 20:37 UTC, Lavie
no flags Details
Output of $nmcli con show for the Master after poweroff/poweron. (1.86 KB, text/plain)
2014-07-28 20:37 UTC, Lavie
no flags Details
Output of $nmcli con show for the Slave after poweroff/poweron. (1.12 KB, text/plain)
2014-07-28 20:38 UTC, Lavie
no flags Details

Description Lavie 2014-07-11 14:50:51 UTC
Description of problem:


Version-Release number of selected component (if applicable):
3.15.4-200.fc20.x86_64 #1 SMP Mon Jul 7 14:24:41 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

All latest updates as of July 11 applied to the system.


How reproducible:

Create a Bridge for use by KVM virtual machines, as per Avi Alkalay's blog:
http://avi.alkalay.net/2014/01/fedora-20-virtualization-networkmanager-native-bridge.html

Actual results:
After a poweroff (but not after a reboot), the slave ethernet connection is no longer assoiciated with the Bridge master. 

ifconfig shows that the bridge is not recieving an ipv4 address.


Expected results:
Poweroff should not break the link between the Bridge and its slave ethernet connection.

Additional info:

Comment 1 Lavie 2014-07-11 15:11:01 UTC
It appears that the bridge is broken on a poweroff only if the bridge was assigned de facto to the list of network interfaces in the Virtual Machines Manager Connection Details.

Comment 2 Lavie 2014-07-22 18:16:34 UTC
When I poweroff and restart - I get the following message in the NetworkManager log:

Master connection not found or invalid

Comment 3 Jirka Klimes 2014-07-25 09:43:10 UTC
The bridge slave profile is linked to the bridge master by 'connection.master' property. It can contains UUID of master connection or interface name of the bridge. nm-connection-editor uses UUID by default.
So I guess something (libvirt UI) changed or removed the master bridge profile or something.

You can list the profiles to see if they are there
$ nmcli con show conf

and then grab the details of the master and slave profiles
$ nmcli con show conf 'your bridge master'
$ nmcli con show conf 'your bridge slave'

It would help if you could attach NetworkManager logs, too (/var/log/messages or journalctl).

Comment 4 Lavie 2014-07-28 20:12:59 UTC
Created attachment 921914 [details]
Output of Journalctl after the poweroff/poweron

Comment 5 Lavie 2014-07-28 20:16:10 UTC
Created attachment 921918 [details]
Output of $nmcli con show immediately after creating bridge

Output of $nmcli con show immediately after creating bridge, but before assigning it to the virtual manager list of Network Interfaces

Comment 6 Lavie 2014-07-28 20:18:34 UTC
Created attachment 921919 [details]
Output of $nmcli con show for the Master immediately after creating bridge

Output of $nmcli con show for the Master immediately after creating bridge, but before assigning it to the virtual manager list of Network Interfaces

Comment 7 Lavie 2014-07-28 20:19:43 UTC
Created attachment 921920 [details]
IGNORE THIS ATTACHMENT - MISTAKENLY UPLOADED

Output of $nmcli con show for the Slave immediately after creating bridge, but before assigning it to the virtual manager list of Network Interfaces

Comment 8 Lavie 2014-07-28 20:28:23 UTC
Created attachment 921921 [details]
Output of $nmcli con show for the Slave immediately after creating bridge

Output of $nmcli con show for the Slave immediately after creating bridge, but before adding it in Virtual Manager to the list of Network Interfaces

Comment 9 Lavie 2014-07-28 20:31:08 UTC
Created attachment 921922 [details]
Output of $nmcli con show after adding the bridge to the list of Network Interfaces in Virtual Manager

Output of $nmcli con show after adding the bridge to the list of Network Interfaces in Virtual Manager, but before poweroff/poweron.

Comment 10 Lavie 2014-07-28 20:34:33 UTC
Created attachment 921923 [details]
Output of $nmcli con show for the Master after adding the bridge to the list of Network Interfaces in Virtual Manager

Output of $nmcli con show for the Master after adding the bridge to the list of Network Interfaces in Virtual Manager, but before poweroff/poweron.

Comment 11 Lavie 2014-07-28 20:36:03 UTC
Created attachment 921924 [details]
Output of $nmcli con show for the Slave after adding the bridge to the list of Network Interfaces in Virtual Manager

Output of $nmcli con show for the Slave after adding the bridge to the list of Network Interfaces in Virtual Manager, but before poweroff/poweron.

Comment 12 Lavie 2014-07-28 20:37:00 UTC
Created attachment 921925 [details]
Output of $nmcli con show after poweroff/poweron

Output of $nmcli con show after poweroff/poweron.

Comment 13 Lavie 2014-07-28 20:37:48 UTC
Created attachment 921926 [details]
Output of $nmcli con show for the Master after poweroff/poweron.

Output of $nmcli con show for the Master after poweroff/poweron.

Comment 14 Lavie 2014-07-28 20:38:47 UTC
Created attachment 921927 [details]
Output of $nmcli con show for the Slave after poweroff/poweron.

Output of $nmcli con show for the Slave after poweroff/poweron.

Comment 15 Lavie 2014-07-28 20:40:21 UTC
Comment on attachment 921920 [details]
IGNORE THIS ATTACHMENT - MISTAKENLY UPLOADED

IGNORE THIS ATTACHMENT - MISTAKENLY UPLOADED

Comment 16 Lavie 2014-07-28 20:47:56 UTC
(In reply to Jirka Klimes from comment #3)
> The bridge slave profile is linked to the bridge master by
> 'connection.master' property. It can contains UUID of master connection or
> interface name of the bridge. nm-connection-editor uses UUID by default.
> So I guess something (libvirt UI) changed or removed the master bridge
> profile or something.
> 
> You can list the profiles to see if they are there
> $ nmcli con show conf
> 
> and then grab the details of the master and slave profiles
> $ nmcli con show conf 'your bridge master'
> $ nmcli con show conf 'your bridge slave'
> 
> It would help if you could attach NetworkManager logs, too
> (/var/log/messages or journalctl).

Hi Jirka - I provided the info you requested. I noticed that I called the bridge "bridge0", whereas Avi Alkalay called his "bridge1" ( http://avi.alkalay.net/2014/01/fedora-20-virtualization-networkmanager-native-bridge.html ) 
I can only assume that this is irrelevant.

TIA,
Lavie

Comment 17 Lavie 2014-07-28 20:48:38 UTC
(In reply to Jirka Klimes from comment #3)
> The bridge slave profile is linked to the bridge master by
> 'connection.master' property. It can contains UUID of master connection or
> interface name of the bridge. nm-connection-editor uses UUID by default.
> So I guess something (libvirt UI) changed or removed the master bridge
> profile or something.
> 
> You can list the profiles to see if they are there
> $ nmcli con show conf
> 
> and then grab the details of the master and slave profiles
> $ nmcli con show conf 'your bridge master'
> $ nmcli con show conf 'your bridge slave'
> 
> It would help if you could attach NetworkManager logs, too
> (/var/log/messages or journalctl).

Comment 18 Lavie 2014-08-10 16:14:24 UTC
Jirka Klimes: Any news?

Comment 20 Jirka Klimes 2014-08-18 16:47:04 UTC
Sorry for the late reply. I was on holiday.

The issue is that the bridge master connection changed after the poweroff.
See the difference in comment #5 and comment #12:
Bridge connection 1  (bf0dddae-ac97-4530-a31f-a2a553333a66) - comment #5 
Bridge bridge0       (6ae67f40-dd39-36a5-edae-2d28e83a4a5c) - comment #12

In the logs you can see that the connection had come from file /etc/sysconfig/network-scripts/ifcfg-Bridge_connection_1, but after reboot there was /etc/sysconfig/network-scripts/ifcfg-bridge0.

So the original ifcfg file was removed (or renamed) and there is a new one. What is the content of the files?

Because the 'Bridge bridge0' connection has different UUID than 'Bridge connection 1', and the slave refers to the old UUID, the master cannot be found.
You could use 'bridge0' in slave's connection.master property (BRIDGE=bridge0 in ifcfg file) instead of the UUID. However, it would be good to track what happened to the original ifcfg file and why there is the new one. I think you didn't edit the files manually. Right?

(In reply to Lavie from comment #19)
> Could this be related?
> 
> https://www.happyassassin.net/2014/07/23/bridged-networking-for-libvirt-with-
> networkmanager-2014-fedora-21/

It is probably not directly related, but it is a nice post testing various cases with bridges.

Comment 21 Fedora End Of Life 2015-05-29 12:20:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Lavie 2015-05-29 13:47:55 UTC
This appears to be fixed in Fedora 21. 

Unfortunately, Fedora 21's default gnome does not include the nm-connection-editor applet, which makes life much easier for defining a bridge.

Comment 23 Fedora End Of Life 2015-06-29 21:33:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.